OpenAPI SpecificationJSON
API Reference

Email Template

An email template object represents templates one can choose from when sending an email from Rossum.

Email Template Types

  • rejection - Template for a rejection email (can be manually created and deleted)
  • rejection_default - Default template for a rejection email
  • email_with_no_processable_attachments - Template for a reply to an email with no attachments
  • custom - Custom email template (can be manually created and deleted)

Every newly created queue triggers a creation of five default email templates with default messages and subjects.

Email templates

Email templates support variable expansion for dynamic content rendering using double curly brackets: {{ variable }}.

Please note that only simple variables are supported. Filters and the . lookup are not. A template such as:

{% if subject %}
The subject is {{ subject }}.
{% endif %}
The message is {{ message }}.

with template settings such as:

{'subject': 'Hello', 'message': 'World'}

will render as:

{% if subject %}
The subject is Hello.
{% endif %}
The message is World.

Email template

Attribute
Type
Description
id*
read-only
integer

ID of the email template

url*
read-only
URL

URL of the email template

name*
string

Name of the email template

queue*
URL

Queue URL.

organization*
URL

Organization URL.

triggers*
list[URL]

URLs of the linked triggers

Default: []
type*
"rejection" | "rejection_default" | "email_with_no_processable_attachments" | "custom"

Type of the email template. Only templates with types rejection and custom can be manually created and deleted.

  • rejection - Template for a rejection email
  • rejection_default - Default template for a rejection email
  • email_with_no_processable_attachments - Template for a reply to an email with no attachments
  • custom - Custom email template
Default: "custom"
subject*
string

Email subject

Default: ""
message*
string

HTML subset of text email section

Default: ""
enabled*
deprecated
boolean

(Deprecated) Use automate instead

Default: true
automate*
boolean

True if user wants to send email automatically on the action

Default: true
to*
list[object]

List that contains information about recipients. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

cc*
list[object]

List that contains information about recipients of carbon copy. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

bcc*
list[object]

List that contains information about recipients of blind carbon copy. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

modified_by*
read-only
URL

User that last modified the object.

modified_at*
read-only
datetime

Timestamp of last modification.

List email templates

GET api / v1 / email_templates

Retrieve all email template objects.

GET
/api/v1/email_templates
curl -X GET "https://example.rossum.app/api/v1/email_templates"
{
  "pagination": {
    "next": null,
    "previous": null
  },
  "results": [
    {
      "id": 1234,
      "url": "https://example.rossum.app/api/v1/email_templates/789",
      "name": "My Email Template",
      "queue": "https://example.rossum.app/api/v1/queues/8198",
      "organization": "string",
      "triggers": [
        "https://example.rossum.app/api/v1/triggers/500",
        "https://example.rossum.app/api/v1/triggers/600"
      ],
      "type": "custom",
      "subject": "My Email Template Subject",
      "message": "<p>My Email Template Message</p>",
      "enabled": true,
      "automate": true,
      "to": [
        {
          "email": "recipient@example.com",
          "name": "Recipient Name"
        }
      ],
      "cc": [],
      "bcc": [],
      "modified_by": "https://example.rossum.app/api/v1/users/10775",
      "modified_at": "2021-04-26T10:08:03.856648Z"
    }
  ]
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
pagination*
pagination
next
URL

URL for the next page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the next page — do not attempt to construct or modify the cursor value.

previous
URL

URL for the previous page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the previous page — do not attempt to construct or modify the cursor value.

results*
id*
read-only
integer

ID of the email template

url*
read-only
URL

URL of the email template

name*
string

Name of the email template

queue*
URL

Queue URL.

organization*
URL

Organization URL.

triggers*
list[URL]

URLs of the linked triggers

Default: []
type*
"rejection" | "rejection_default" | "email_with_no_processable_attachments" | "custom"

Type of the email template. Only templates with types rejection and custom can be manually created and deleted.

  • rejection - Template for a rejection email
  • rejection_default - Default template for a rejection email
  • email_with_no_processable_attachments - Template for a reply to an email with no attachments
  • custom - Custom email template
Default: "custom"
subject*
string

Email subject

Default: ""
message*
string

HTML subset of text email section

Default: ""
enabled*
deprecated
boolean

(Deprecated) Use automate instead

Default: true
automate*
boolean

True if user wants to send email automatically on the action

Default: true
to*
list[object]

List that contains information about recipients. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

cc*
list[object]

List that contains information about recipients of carbon copy. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

bcc*
list[object]

List that contains information about recipients of blind carbon copy. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

modified_by*
read-only
URL

User that last modified the object.

modified_at*
read-only
datetime

Timestamp of last modification.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Create email template

POST api / v1 / email_templates

Create new email template object.

POST
/api/v1/email_templates
curl -X POST "https://example.rossum.app/api/v1/email_templates" \  -H "Content-Type: application/json" \  -d '{    "name": "My Email Template",    "queue": "https://example.rossum.app/api/v1/queues/8198"  }'
{
  "id": 1234,
  "url": "https://example.rossum.app/api/v1/email_templates/789",
  "name": "My Email Template",
  "queue": "https://example.rossum.app/api/v1/queues/8198",
  "organization": "string",
  "triggers": [
    "https://example.rossum.app/api/v1/triggers/500",
    "https://example.rossum.app/api/v1/triggers/600"
  ],
  "type": "custom",
  "subject": "My Email Template Subject",
  "message": "<p>My Email Template Message</p>",
  "enabled": true,
  "automate": true,
  "to": [
    {
      "email": "recipient@example.com",
      "name": "Recipient Name"
    }
  ],
  "cc": [],
  "bcc": [],
  "modified_by": "https://example.rossum.app/api/v1/users/10775",
  "modified_at": "2021-04-26T10:08:03.856648Z"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
name*
string

Name of the email template

queue*
URL

Queue URL.

organization
URL

Organization URL.

triggers
list[URL]

URLs of the linked triggers

Default: []
type
"rejection" | "rejection_default" | "email_with_no_processable_attachments" | "custom"

Type of the email template. Only templates with types rejection and custom can be manually created and deleted.

  • rejection - Template for a rejection email
  • rejection_default - Default template for a rejection email
  • email_with_no_processable_attachments - Template for a reply to an email with no attachments
  • custom - Custom email template
Default: "custom"
subject
string

Email subject

Default: ""
message
string

HTML subset of text email section

Default: ""
enabled
deprecated
boolean

(Deprecated) Use automate instead

Default: true
automate
boolean

True if user wants to send email automatically on the action

Default: true
to
list[object]

List that contains information about recipients. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

cc
list[object]

List that contains information about recipients of carbon copy. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

bcc
list[object]

List that contains information about recipients of blind carbon copy. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

Response

201Created

Created

Attribute
Type
Description
id*
read-only
integer

ID of the email template

url*
read-only
URL

URL of the email template

name*
string

Name of the email template

queue*
URL

Queue URL.

organization*
URL

Organization URL.

triggers*
list[URL]

URLs of the linked triggers

Default: []
type*
"rejection" | "rejection_default" | "email_with_no_processable_attachments" | "custom"

Type of the email template. Only templates with types rejection and custom can be manually created and deleted.

  • rejection - Template for a rejection email
  • rejection_default - Default template for a rejection email
  • email_with_no_processable_attachments - Template for a reply to an email with no attachments
  • custom - Custom email template
Default: "custom"
subject*
string

Email subject

Default: ""
message*
string

HTML subset of text email section

Default: ""
enabled*
deprecated
boolean

(Deprecated) Use automate instead

Default: true
automate*
boolean

True if user wants to send email automatically on the action

Default: true
to*
list[object]

List that contains information about recipients. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

cc*
list[object]

List that contains information about recipients of carbon copy. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

bcc*
list[object]

List that contains information about recipients of blind carbon copy. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

modified_by*
read-only
URL

User that last modified the object.

modified_at*
read-only
datetime

Timestamp of last modification.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Retrieve email template

GET api / v1 / email_templates / {emailTemplateID}

Get an email template object.

GET
/api/v1/email_templates/{emailTemplateID}
curl -X GET "https://example.rossum.app/api/v1/email_templates/0"
{
  "id": 1234,
  "url": "https://example.rossum.app/api/v1/email_templates/789",
  "name": "My Email Template",
  "queue": "https://example.rossum.app/api/v1/queues/8198",
  "organization": "string",
  "triggers": [
    "https://example.rossum.app/api/v1/triggers/500",
    "https://example.rossum.app/api/v1/triggers/600"
  ],
  "type": "custom",
  "subject": "My Email Template Subject",
  "message": "<p>My Email Template Message</p>",
  "enabled": true,
  "automate": true,
  "to": [
    {
      "email": "recipient@example.com",
      "name": "Recipient Name"
    }
  ],
  "cc": [],
  "bcc": [],
  "modified_by": "https://example.rossum.app/api/v1/users/10775",
  "modified_at": "2021-04-26T10:08:03.856648Z"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer

ID of the email template

url*
read-only
URL

URL of the email template

name*
string

Name of the email template

queue*
URL

Queue URL.

organization*
URL

Organization URL.

triggers*
list[URL]

URLs of the linked triggers

Default: []
type*
"rejection" | "rejection_default" | "email_with_no_processable_attachments" | "custom"

Type of the email template. Only templates with types rejection and custom can be manually created and deleted.

  • rejection - Template for a rejection email
  • rejection_default - Default template for a rejection email
  • email_with_no_processable_attachments - Template for a reply to an email with no attachments
  • custom - Custom email template
Default: "custom"
subject*
string

Email subject

Default: ""
message*
string

HTML subset of text email section

Default: ""
enabled*
deprecated
boolean

(Deprecated) Use automate instead

Default: true
automate*
boolean

True if user wants to send email automatically on the action

Default: true
to*
list[object]

List that contains information about recipients. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

cc*
list[object]

List that contains information about recipients of carbon copy. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

bcc*
list[object]

List that contains information about recipients of blind carbon copy. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

modified_by*
read-only
URL

User that last modified the object.

modified_at*
read-only
datetime

Timestamp of last modification.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Partial update email template

PATCH api / v1 / email_templates / {emailTemplateID}

Update part of an email template object.

PATCH
/api/v1/email_templates/{emailTemplateID}
curl -X PATCH "https://example.rossum.app/api/v1/email_templates/0" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 1234,
  "url": "https://example.rossum.app/api/v1/email_templates/789",
  "name": "My Email Template",
  "queue": "https://example.rossum.app/api/v1/queues/8198",
  "organization": "string",
  "triggers": [
    "https://example.rossum.app/api/v1/triggers/500",
    "https://example.rossum.app/api/v1/triggers/600"
  ],
  "type": "custom",
  "subject": "My Email Template Subject",
  "message": "<p>My Email Template Message</p>",
  "enabled": true,
  "automate": true,
  "to": [
    {
      "email": "recipient@example.com",
      "name": "Recipient Name"
    }
  ],
  "cc": [],
  "bcc": [],
  "modified_by": "https://example.rossum.app/api/v1/users/10775",
  "modified_at": "2021-04-26T10:08:03.856648Z"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
name
string

Name of the email template

queue
URL

Queue URL.

organization
URL

Organization URL.

triggers
list[URL]

URLs of the linked triggers

Default: []
type
"rejection" | "rejection_default" | "email_with_no_processable_attachments" | "custom"

Type of the email template. Only templates with types rejection and custom can be manually created and deleted.

  • rejection - Template for a rejection email
  • rejection_default - Default template for a rejection email
  • email_with_no_processable_attachments - Template for a reply to an email with no attachments
  • custom - Custom email template
Default: "custom"
subject
string

Email subject

Default: ""
message
string

HTML subset of text email section

Default: ""
enabled
deprecated
boolean

(Deprecated) Use automate instead

Default: true
automate
boolean

True if user wants to send email automatically on the action

Default: true
to
list[object]

List that contains information about recipients. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

cc
list[object]

List that contains information about recipients of carbon copy. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

bcc
list[object]

List that contains information about recipients of blind carbon copy. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer

ID of the email template

url*
read-only
URL

URL of the email template

name*
string

Name of the email template

queue*
URL

Queue URL.

organization*
URL

Organization URL.

triggers*
list[URL]

URLs of the linked triggers

Default: []
type*
"rejection" | "rejection_default" | "email_with_no_processable_attachments" | "custom"

Type of the email template. Only templates with types rejection and custom can be manually created and deleted.

  • rejection - Template for a rejection email
  • rejection_default - Default template for a rejection email
  • email_with_no_processable_attachments - Template for a reply to an email with no attachments
  • custom - Custom email template
Default: "custom"
subject*
string

Email subject

Default: ""
message*
string

HTML subset of text email section

Default: ""
enabled*
deprecated
boolean

(Deprecated) Use automate instead

Default: true
automate*
boolean

True if user wants to send email automatically on the action

Default: true
to*
list[object]

List that contains information about recipients. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

cc*
list[object]

List that contains information about recipients of carbon copy. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

bcc*
list[object]

List that contains information about recipients of blind carbon copy. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

modified_by*
read-only
URL

User that last modified the object.

modified_at*
read-only
datetime

Timestamp of last modification.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Delete email template

DELETE api / v1 / email_templates / {emailTemplateID}

Delete an email template object.

DELETE
/api/v1/email_templates/{emailTemplateID}
curl -X DELETE "https://example.rossum.app/api/v1/email_templates/0"
Empty
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

204No Content

No Content

No response body.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Update email template

PUT api / v1 / email_templates / {emailTemplateID}

Update email template object.

PUT
/api/v1/email_templates/{emailTemplateID}
curl -X PUT "https://example.rossum.app/api/v1/email_templates/0" \  -H "Content-Type: application/json" \  -d '{    "name": "My Email Template",    "queue": "https://example.rossum.app/api/v1/queues/8198"  }'
{
  "id": 1234,
  "url": "https://example.rossum.app/api/v1/email_templates/789",
  "name": "My Email Template",
  "queue": "https://example.rossum.app/api/v1/queues/8198",
  "organization": "string",
  "triggers": [
    "https://example.rossum.app/api/v1/triggers/500",
    "https://example.rossum.app/api/v1/triggers/600"
  ],
  "type": "custom",
  "subject": "My Email Template Subject",
  "message": "<p>My Email Template Message</p>",
  "enabled": true,
  "automate": true,
  "to": [
    {
      "email": "recipient@example.com",
      "name": "Recipient Name"
    }
  ],
  "cc": [],
  "bcc": [],
  "modified_by": "https://example.rossum.app/api/v1/users/10775",
  "modified_at": "2021-04-26T10:08:03.856648Z"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
name*
string

Name of the email template

queue*
URL

Queue URL.

organization
URL

Organization URL.

triggers
list[URL]

URLs of the linked triggers

Default: []
type
"rejection" | "rejection_default" | "email_with_no_processable_attachments" | "custom"

Type of the email template. Only templates with types rejection and custom can be manually created and deleted.

  • rejection - Template for a rejection email
  • rejection_default - Default template for a rejection email
  • email_with_no_processable_attachments - Template for a reply to an email with no attachments
  • custom - Custom email template
Default: "custom"
subject
string

Email subject

Default: ""
message
string

HTML subset of text email section

Default: ""
enabled
deprecated
boolean

(Deprecated) Use automate instead

Default: true
automate
boolean

True if user wants to send email automatically on the action

Default: true
to
list[object]

List that contains information about recipients. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

cc
list[object]

List that contains information about recipients of carbon copy. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

bcc
list[object]

List that contains information about recipients of blind carbon copy. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer

ID of the email template

url*
read-only
URL

URL of the email template

name*
string

Name of the email template

queue*
URL

Queue URL.

organization*
URL

Organization URL.

triggers*
list[URL]

URLs of the linked triggers

Default: []
type*
"rejection" | "rejection_default" | "email_with_no_processable_attachments" | "custom"

Type of the email template. Only templates with types rejection and custom can be manually created and deleted.

  • rejection - Template for a rejection email
  • rejection_default - Default template for a rejection email
  • email_with_no_processable_attachments - Template for a reply to an email with no attachments
  • custom - Custom email template
Default: "custom"
subject*
string

Email subject

Default: ""
message*
string

HTML subset of text email section

Default: ""
enabled*
deprecated
boolean

(Deprecated) Use automate instead

Default: true
automate*
boolean

True if user wants to send email automatically on the action

Default: true
to*
list[object]

List that contains information about recipients. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

cc*
list[object]

List that contains information about recipients of carbon copy. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

bcc*
list[object]

List that contains information about recipients of blind carbon copy. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string (email)

Email address.

name
string | null

Name of the email recipient.

modified_by*
read-only
URL

User that last modified the object.

modified_at*
read-only
datetime

Timestamp of last modification.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Render email template

POST api / v1 / email_templates / {emailTemplateID} / render

The rendered email template can be requested via the render endpoint.

Inside the to, cc and bcc attributes template variables can be used instead of the email field of the email address object.

POST
/api/v1/email_templates/{emailTemplateID}/render
curl -X POST "https://example.rossum.app/api/v1/email_templates/0/render" \  -H "Content-Type: application/json" \  -d '{}'
{
  "to": [
    {
      "email": "satisfied.customer@rossum.ai"
    }
  ],
  "cc": [],
  "bcc": [],
  "subject": "My Email Template Subject: Rendered Parent Email Subject",
  "message": "<p>My Email Template Message from user@example.com</p>"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
to
list[object]

List that contains information about recipients to be rendered. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string

Email address.

name
string | null

Name of the email recipient.

cc
list[object]

List that contains information about recipients of carbon copy to be rendered. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string

Email address.

name
string | null

Name of the email recipient.

bcc
list[object]

List that contains information about recipients of blind carbon copy to be rendered. The total number of recipients (to, cc and bcc together) cannot exceed 40.

Default: []
email*
string

Email address.

name
string | null

Name of the email recipient.

parent_email
URL

Link to parent email

document_list
list[URL]

List of document URLs to simulate sending of documents over email into Rossum

Default: []
annotation_list
list[URL]

List of annotation URLs to use for rendering values for annotation.content placeholders

Default: []
template_values
object

Values to fill in the email template

Default: {}

Response

200OK

OK

Attribute
Type
Description
to
list[object]

List that contains rendered information about recipients

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

cc
list[object]

List that contains rendered information about recipients of carbon copy

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

bcc
list[object]

List that contains rendered information about recipients of blind carbon copy

email*
string (email)

Email address.

name
string | null

Name of the email recipient.

subject
string

Rendered email template's subject

message
string

Rendered email template's message

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error